(defproject wanijo "0.1.0-SNAPSHOT"
  :description "FIXME: write description"
  :url "http://example.com/FIXME"
  :min-lein-version "2.0.0"

  :dependencies [[org.clojure/clojure "1.9.0"]
                 
                 [compojure "1.6.1"]
                 [ring/ring-defaults "0.3.2"]
                 [hiccup "1.0.5"]
                 
                 [gorillalabs/neo4j-clj "1.1.0"
                  :exclusions [org.bouncycastle/bcprov-jdk15on
                               org.bouncycastle/bcpkix-jdk15on
                               com.github.ben-manes.caffeine/caffeine]]
                 [buddy/buddy-hashers "1.3.0"
                  :exclusions [commons-codec]]
                 [clj-time "0.14.4"]]

  :profiles {:dev {:dependencies [[javax.servlet/servlet-api "2.5"]
                                  [ring/ring-mock "0.3.2"]]
                   :plugins [[joshavg/lein-neo4j "0.3.0"]
                             [lein-less "1.7.5"]
                             [lein-ring "0.9.7"]
                             [lein-ancient "0.6.15"]
                             [jonase/eastwood "0.2.9"]
                             [lein-bikeshed "0.5.0"]]}
             :uberjar {:aot :all}}

  :ring {:handler wanijo.handler/app}
  :less {:source-paths ["resources/app/stylesheets"]
         :target-path "resources/public/css"}
  :hiera {:cluster-depth 2}
  :eastwood {:namespaces [:source-paths]})
